Extending Qt Creator Manual | StringDetectRule

Extending Qt Creator Manual 4.7.1

# StringDetectRule Class

(TextEditor::Internal::StringDetectRule)

- List of all members, including inherited members

## Public Functions

virtual | ~StringDetectRule()
void | setInsensitive(const int &insensitive)
void | setString(const int &s)

## Protected Functions

virtual TextEditor::Internal::StringDetectRule * | doClone() const
virtual bool | doMatchSucceed(const int &text, const int length, TextEditor::Internal::ProgressData *progress)
virtual void | doReplaceExpressions(const int &captures)

## Member Function Documentation

### `[virtual]` StringDetectRule::~StringDetectRule()

Destroys the instance of StringDetectRule. The destructor is virtual.

### `[virtual protected]` TextEditor::Internal::StringDetectRule *StringDetectRule::doClone() const

### `[virtual protected]` bool StringDetectRule::doMatchSucceed(const int &text, const int length, TextEditor::Internal::ProgressData *progress)

### `[virtual protected]` void StringDetectRule::doReplaceExpressions(const int &captures)

### void StringDetectRule::setInsensitive(const int &insensitive)

### void StringDetectRule::setString(const int &s)